Description

Setting 'Preallocate disk' flag for compute profile (compute resource provider is oVirt) does not stick.

Related issues:

Related to Foreman - Bug #10276: PreAllocated Disk option is not being retain... Duplicate 04/27/2015

Related to Foreman - Feature #5197: Preallocated disk support for oVirt Closed 04/14/2014

Has duplicate Foreman - Bug #12648: Checkbox "Preallocate disk" doesn't get s... Duplicate 12/01/2015

Associated revisions

Revision 545716c4 - 03/10/2016 04:34 AM - Marek Hulán

Fixes #9932 - fix preallocate attribute mapping

Revision eb012a9c - 04/18/2016 01:45 PM - Marek Hulán

Fixes #9932 - fix preallocate attribute mapping

(cherry picked from commit 545716c40c34acca04113642fd934af5ae1e8032)

History

#1 - 04/09/2015 06:23 AM - Lukas Zapletal

- Tracker changed from Bug to Feature

Hello, can you elaborate? What you mean by sticking? If you want this setting to be persistent, we don't have this feature yet.

Nice workaround tho is to create Compute Profile with oVirt preconfigurated. You can define as many profiles as you want, preallocate setting will be

persisted.

#2 - 04/09/2015 06:28 AM - Lukas Zapletal

- Tracker changed from Feature to Bug

Oh I see it in the subject now. This is a valid bug.

#3 - 04/27/2015 08:30 AM - Richard Davis

- Related to Bug #10276: PreAllocated Disk option is not being retained within Compute Profile (oVirt) added

#4 - 04/28/2015 08:30 PM - Matthew Pullin

Working on this at the moment, have a fix in place that I need to finish testing.

Essentially the setting just isn't being passed from the compute profile DB table into the web UI and the ovirt volume view just sets the checkbox to

false automatically, which means that the preallocate flag doesn't exist when you hit submit.

#5 - 12/02/2015 02:50 AM - Dominic Cleal

- Has duplicate Bug #12648: Checkbox "Preallocate disk" doesn't get saved for a Compute Profile added
#6 - 12/02/2015 03:04 PM - Bryan Kearney

- Bugzilla link set to 1286033

#7 - 03/08/2016 08:17 AM - Marek Hulán

- Related to Feature #5197: Preallocated disk support for oVirt added

#8 - 03/08/2016 08:18 AM - Marek Hulán

- Status changed from New to Assigned

- Assignee set to Marek Hulán

#9 - 03/08/2016 09:11 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3291 added

#10 - 03/10/2016 05:02 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 545716c40c34acca04113642fd934af5ae1e8032.

#11 - 03/10/2016 05:04 AM - Dominic Cleal

- translation missing: en.field_release set to 141
